﻿//----------------------------------------------------------------------------------------
// name: Chicken Sequencer (Chickencer)
// desc: demonstration of tight timing control from chuck, with communication with unity
//
// author: Ge Wang (https://www.gewang.com/)
// date: Fall 2019
//----------------------------------------------------------------------------------------
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ChickenCameraController : MonoBehaviour
{
    // reference to the player
    public GameObject m_player;
    // the offset from camera to player
    private Vector3 m_offset;
    private Quaternion m_angle;
    // camera mode
    private int m_mode;

    // Start() is called before the first frame update
    void Start()
    {
        // get the initial camera position
        m_offset = transform.position - m_player.transform.position;
        m_angle = transform.rotation;
        // the initial mode which is to follow
        m_mode = 1;
    }

    // Update
    void Update()
    {
        // check input
        if (Input.GetKeyDown("v"))
        {
            m_mode = (m_mode == 0 ? 1 : 0);
            Debug.Log("new camera mode: " + m_mode);
        }
    }
    // LateUpdate() is called once per frame before drawing, after all items in Update()
    void LateUpdate()
    {
        // check which camera mode
        if (m_mode == 0)
        {
            transform.position = m_player.transform.position + m_offset;
            transform.rotation = m_angle;
        }
        else
        {
            transform.position = new Vector3(0, .25f, -1.5f);
            transform.rotation = Quaternion.identity;
        }
    }
}
