﻿//----------------------------------------------------------------------------------------
// name: Chicken Sequencer (Chickencer)
// desc: demonstration of tight timing control from chuck, with communication with unity
//
// author: Ge Wang (https://www.gewang.com/)
// date: Fall 2019
//----------------------------------------------------------------------------------------
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class ChickenController : MonoBehaviour
{
    // this variable will show up in the inspector as an editable property
    public float m_speed;
    // reference to animator component
    private Animator m_anim;
    // time step for run animation
    private float m_animTimeRun;

    // Start() is called before the first frame update
    void Start()
    {
        // get reference to the animator component on the game object
        m_anim = GetComponent<Animator>();
    }

    // Update()
    void Update()
    {
        m_anim.Play("Run In Place", -1, m_animTimeRun);
        m_animTimeRun += .1f; // TODO: this should be scaled by delta time
        if (m_animTimeRun > 1) m_animTimeRun = 0;
    }
}
