﻿//----------------------------------------------------------------------------------------
// name: Chicken Sequencer (Chickencer)
// desc: demonstration of tight timing control from chuck, with communication with unity
//
// author: Ge Wang (https://www.gewang.com/)
// date: Fall 2019
//----------------------------------------------------------------------------------------
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ChickenFactory : MonoBehaviour
{
    // chicken prefab
    public GameObject the_prefab;
    // number of chickens
    public int the_numChickens = 4;
    // the global chicken array
    public GameObject[] the_chickens;
    // chicken spacing
    public float the_chickenSpacing = 0.75f;

    // Start is called before the first frame update
    void Start()
    {
        // instantiate chicken array
        the_chickens = new GameObject[the_numChickens];
        // offset
        float offset = the_chickenSpacing * (the_numChickens - 1);
        // make chickens
        for (int i = 0; i < the_numChickens; i++)
        {
            the_chickens[i] = Instantiate(the_prefab, new Vector3(-offset/2 + i* the_chickenSpacing, 0, 0), Quaternion.Euler(0,180,0));
        }
    }
}
